#-----------------------------------------------------------------------------
#  Copyright (C) 2002-2016 Thomas S. Ullrich
#
#  This file is part of "xyscan".
#
#  This file may be used under the terms of the GNU General Public License.
#  This project is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License.
#  
#  Author: Thomas S. Ullrich
#  Last update: March 31, 2016
#-----------------------------------------------------------------------------
VERSION = 4.1.0
TEMPLATE = app
CONFIG  += qt warn_on release c++11
QT += network xml widgets printsupport multimedia
RESOURCES += xyscan.qrc

win32 {
   RC_FILE += xyscan.rc
   ICON += xyscan.ico
}

macx {
   ICON += xyscan.icns
}

macx {
   INCLUDEPATH += /opt/local/include/poppler/qt5/
   INCLUDEPATH += /opt/local/include/poppler
   LIBS += -L/opt/local/lib/ -lpoppler
   LIBS += -L/opt/local/lib/ -lpoppler-qt5
}

unix {
   INCLUDEPATH += /usr/local/include/poppler/qt5/
   INCLUDEPATH += /usr/local/include/poppler
   LIBS += -L/usr/local/lib/ -lpoppler
   LIBS += -L/usr/local/lib/ -lpoppler-qt5
}

unix {
   documentation.path = /usr/local/share/xyscan/docs
   documentation.files = docs/*  license.txt gpl.txt
   target.path = /usr/local/bin/
   INSTALLS += documentation
   INSTALLS += target
}

HEADERS = ./src/xyscanWindow.h \
          ./src/xyscanAbout.h \
          ./src/xyscanVersion.h \
          ./src/xyscanHelpBrowser.h \
          ./src/xyscanMarkerMaps.h \
          ./src/xyscanStateMachine.h \
          ./src/xyscanUpdater.h \
          ./src/xyscanGraphicsView.h

SOURCES = ./src/xyscanMain.cpp \
          ./src/xyscanWindow.cpp \
          ./src/xyscanAbout.cpp \
          ./src/xyscanHelpBrowser.cpp \
          ./src/xyscanStateMachine.cpp \
          ./src/xyscanUpdater.cpp \
          ./src/xyscanGraphicsView.cpp

# TRANSLATIONS = xyscan_fr.ts
